1

We started to create a new web application and used the sample in the DXA framework. We use Tridion 9.0 and want to build it for .NET 4.7.2.

The DXA Framework is published in nuget as package "Sdl.Dxa.Framework.Web8 2.2.6" and doesn't support .NET 472. It is build for .NET 4.6.2.

I downloaded the source here and make build it to .NET 4.7.2, that works.

My questions are:

1.] Is that the way to go?

Microsoft has support for multiple versions in Visual Studio and for Nuget packages.

2.] Will that be implemented?

1

The DXA NuGet packages are indeed built against .NET FW 4.6.2, but you can use them in a .NET 4.7.2 (or even 4.8) Web App too.

There is no need to compile the DXA Framework yourself against 4.7.2.

The reason why DXA Framework typically isn’t compiled against the latest-greatest .NET Framework is that it is possible to use .NET assemblies compiled against lower .NET versions in higher .NET runtimes, but not vice versa.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.